//
// Created by kikab on 04.06.2018.
//

#include "DatSubsystems/DatBackupManager.h"
#include "EasyLogging++/easylogging++.h"

LOTRO_DAT::DatBackupManager::DatBackupManager(LOTRO_DAT::DatFile *datFilePtr) {

}

void LOTRO_DAT::DatBackupManager::Init() {

}

bool LOTRO_DAT::DatBackupManager::CheckIfBackupExists(const std::string &backup_datname) {
    return false;
}

LOTRO_DAT::DatOperationResult<> LOTRO_DAT::DatBackupManager::CreateBackup(const std::string &backup_datname) {
}

LOTRO_DAT::DatOperationResult<> LOTRO_DAT::DatBackupManager::RestoreFromBackup(const std::string &backup_datname) {
}

LOTRO_DAT::DatOperationResult<> LOTRO_DAT::DatBackupManager::RemoveBackup(const std::string &backup_datname) {
}

void LOTRO_DAT::DatBackupManager::DeInit() {
}
